CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
booster::intrusive_ptr< T > Class Template Reference

intrusive_ptr is the class taken as-is from boost. More...

`#include <booster/booster/intrusive_ptr.h>`

## Public Types
typedef T | element_type
typedef T *this_type::* | unspecified_bool_type

## Public Member Functions
| intrusive_ptr (T *p, bool add_ref=true)
T * | release ()
| intrusive_ptr (intrusive_ptr const &rhs)
template<class U >
| intrusive_ptr (intrusive_ptr< U > const &rhs)
intrusive_ptr & | operator= (intrusive_ptr const &rhs)
intrusive_ptr & | operator= (T *rhs)
T * | get () const
T & | operator* () const
T * | operator-> () const
| operator unspecified_bool_type () const
bool | operator! () const
void | swap (intrusive_ptr &rhs)

## Detailed Description

### template<class T>
class booster::intrusive_ptr< T >

intrusive_ptr is the class taken as-is from boost.

A smart pointer that uses intrusive reference counting.

Relies on unqualified calls to

    void intrusive_ptr_add_ref(T * p);
    void intrusive_ptr_release(T * p);

        (p != 0)

The object is responsible for destroying itself.

See: http://www.boost.org/doc/libs/release/libs/smart_ptr

The documentation for this class was generated from the following file:

- booster/intrusive_ptr.h